Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.TypeChecking.Inlining

Description

Logic for deciding which functions should be automatically inlined.

Synopsis

- autoInline :: Defn -> TCM Defn

# Documentation

autoInline :: Defn -> TCM Defn Source #

Mark a definition to be inlined if it satisfies the inlining criterion.